Summary: Development Libraries and headers for EFI
Name: gnu-efi
Version: 3.0u
Release: %mkrel 1
Group: System/Kernel and hardware
License: BSD 
URL: ftp://ftp.hpl.hp.com/pub/linux-ia64
Source: ftp://ftp.hpl.hp.com/pub/linux-ia64/gnu-efi_%{version}.orig.tar.xz
Patch0001: 0001-fix-compilation-on-x86_64-without-HAVE_USE_MS_ABI.patch
Patch0002: 0002-be-more-pedantic-when-linking.patch
Patch0003: 0003-Sample-boot-service-driver.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
ExclusiveArch: i686 x86_64
BuildRequires: git

%define debug_package %{nil}

%global efidir pclinuxos

%description
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package devel
Summary: Development Libraries and headers for EFI
Group: System/Kernel and hardware

%description devel
This package contains development headers and libraries for developing
applications that run under EFI (Extensible Firmware Interface).

%package utils
Summary: Utilities for EFI systems
Group: System/Kernel and hardware

%description utils
This package contains utilties for debugging and developing EFI systems.

%prep
%setup -q -n gnu-efi-3.0
git init
git config user.email "texstar@gmail.com"
git config user.name "PCLinuxOS Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null

%build
# Package cannot build with %{?_smp_mflags}.
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}

make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} install

mkdir -p %{buildroot}/%{_libdir}/gnuefi
mv %{buildroot}/%{_libdir}/*.lds %{buildroot}/%{_libdir}/*.o %{buildroot}/%{_libdir}/gnuefi

make -C apps clean route80h.efi modelist.efi
mkdir -p %{buildroot}/boot/efi/EFI/%{efidir}/
mv apps/{route80h.efi,modelist.efi} %{buildroot}/boot/efi/EFI/%{efidir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/*

%files devel
%defattr(-,root,root,-)
%doc README.* ChangeLog
%{_includedir}/efi

%files utils
%defattr(-,root,root,-)
%dir /boot/efi/EFI/%{efidir}/
%attr(0644,root,root) /boot/efi/EFI/%{efidir}/*.efi

%changelog
* Fri May 23 2014 bb <bb> 3.0u-1pclos2014
- import into pclos
